#game-market-payment-view {
  width: 100%;
  max-width: 44rem;
  height: 32rem;
  max-height: min(100lvh - 0.8rem);

  &[shown] {
    transition: none;
  }

  @media (width >= 680px) and (height >= 620px) {
    &:not([hidden]) {
      border-radius: var(--sheet-border-radius);
      translate: 0% calc((100vh - 100%) / -2);
    }
  }


  header {
    button[action="hide"] {
      &:not(:disabled) {
        color: var(--color-blue);
      }
    }
  }


  article[purpose="overlay"] {
    .spinner {
      margin: 0.8rem;
    }
  }
}
